## org.codehaus.groovy.grails.plugins.web.taglib
Class PluginTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.PluginTagLib

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class PluginTagLib

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`PluginTagLib()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getIsAvailable()`
`Object` `getIsNotAvailable()`
`groovy.lang.MetaClass` `getMetaClass()`
`static Object` `getNamespace()`
`Object` `getPath()`
`GrailsPluginManager` `getPluginManager()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setIsAvailable(Object value)`
`void` `setIsNotAvailable(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`static void` `setNamespace(Object value)`
`void` `setPath(Object value)`
`void` `setPluginManager(GrailsPluginManager value)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginTagLib

    public PluginTagLib()

Method Detail

### getNamespace

    public static Object getNamespace()

### setNamespace

    public static void setNamespace(Object value)

### getPluginManager

    public GrailsPluginManager getPluginManager()

### setPluginManager

    public void setPluginManager(GrailsPluginManager value)

### getPath

    public Object getPath()

### setPath

    public void setPath(Object value)

### getIsAvailable

    public Object getIsAvailable()

### setIsAvailable

    public void setIsAvailable(Object value)

### getIsNotAvailable

    public Object getIsNotAvailable()

### setIsNotAvailable

    public void setIsNotAvailable(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project